Subject: Re: Optimizing repository speed

From: Theodore Tso <[email-masked]>
Date: Mon, 19 Feb 2007 10:14:10 -0500

On Mon, Feb 19, 2007 at 08:37:38AM -0600, Bill Lear wrote:
> As part of our conversion to git 1.5, I would like to ensure that
> our code repository does not get crufty and slow.  Currently, I have
> a cron job that runs each morning that does a 'git repack -a -d'.
> 
> I know there is 'git-gc', and it appears to do all sorts of good
> things.  Can I simply replace my call to 'git repack -d -a' with 'git
> gc', or is there anything else I might want to do?

git-gc is a strict superset of git repack -a -d.  Specifically, what
it does is:

git-pack-refs --prune
git-reflog expire --al 
git-repack -a -d -l
git-rerere gc

It will also through in a git-prune if you do add --prune to the
git-gc call, but you really don't want to run that out of a cron job.

Regards,

						- Ted